function out=foctau(alpha,beta,pi,lambda0,lambda1,lambda2,k,tau,liq,Exalpha,mu,sigma)

ll = lambda0+lambda1.*(k./(lambda2+k));

liqterm=@(xx,tau) ( (Exalpha./(xx.^alpha - (1-tau).*ll.*Exalpha)) - (1./(1-(1-tau).*ll)) ).*normpdf(xx,mu,sigma);

intterm=@(tau) quad( @(xx) liqterm(xx,tau),-10000000,Exalpha);

out = (1+alpha*beta)./(1+(1-tau).*ll.*beta) - 2*alpha*beta./(pi + (1-tau).*ll.*beta) ...
       +liq.*(1+alpha*beta).*intterm(tau);